Update a project memberAsk AIpatch https://www.ruddr.io/api/workspace/project-members/{id}Path ParamsidstringrequiredThe project member uuidBody ParamstypeIdstringThe type of project member. Can be either "administrator" (Project administrator) or "collaborator" (Project collaborator). Defaults to "collaborator".isActivebooleanFlag indicating if the member is active on the project.truefalseisBillablebooleanOnly used if the project is not using roles, otherwise billability is assigned at the role level.truefalseratefloatThe member's rate for the project, if assigned. Only used if the project is not using roles, otherwise the rate is assigned at the role level.overrideCostRatebooleanOverride this project member's cost rate.truefalsecostCurrencystringThe currency code for the overridden cost rate. This will only get used if overrideCostRate is true.costPerHourfloatThe overridden cost per hour. This will only get used if overrideCostRate is true.overheadCostPerHourfloatThe overridden overhead cost per hour. This will only get used if overrideCostRate is true.estimatedBillableHoursfloatThe number of billable hours to budget. This will only get used if not using roles and useBudget is true and budgetMode is "detailed" on the project.estimatedNonBillableHoursfloatThe number of non-billable hours to budget. This will only get used if not using roles and useBudget is true and budgetMode is "detailed" on the project.estimatedMonthlyBillableHoursfloatThe number of billable hours on the monthly budget. This will only get used if not using roles and useMonthlyBudget is true and monthlyBudgetMode is "detailed" on the project.estimatedMonthlyNonBillableHoursfloatThe number of non-billable hours on the monthly budget. This will only get used if not using roles and useMonthlyBudget is true and monthlyBudgetMode is "detailed" on the project.roleIdsarray of stringsA list of project role IDs (uuid) assigned to the member. Only used if the project is using roles.roleIdsADD stringResponses 200200 400400 404404Updated about 1 month ago